package com.xindazhou.user.enums.permission;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 角色类型枚举类
 *
 * @author hmy
 */
@Getter
@AllArgsConstructor
public enum RoleTypeEnum {

    /**
     * 内置角色
     */
    SYSTEM(1),
    /**
     * 自定义角色
     */
    CUSTOM(2);

    private final Integer type;

}

